CREATE procedure [C6StagingPeriodico].[RP_ST_CONTRATTIPRETRIMESTRALE]
AS
-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_CONTRATTIPRETRIMESTRALE',
		GETDATE(),
		'Elaborazione trimestrale'
	)
TRUNCATE TABLE EsclusioneContrattiPerQuadratura
TRUNCATE TABLE C6StagingPeriodico.ContrattiPreTrimestrale
INSERT INTO C6StagingPeriodico.ContrattiPreTrimestrale
SELECT  
    v.chiaveclientepb,   
    [Cod_Fiscale],
    [Cod_Mandato],	
	[PIva_Fiduciaria],
	[Cod_Agente],
	[Rete],
	[CodiceContratto],
	[FlagROL],
	[Indirizzo],
	[CAP],
	[Citta],
	[Provincia],
	[Nazione],
	[Presso],
	[Email],
	NULL AS Freq_Diagnosi, -- Il diagnosi non esiste più per il Pricing 
	[FREQ_MONITORAGGIO],
	GENERAZIONEREPORT,
	DATA_INIZIOBASE,	
	DATA_FINEBASE,	
	DATA_PERF_BASE,	
	DATA_PERF,	
	DATA_INZIOAVANZATO,	
	DATA_FINEAVANZATO,	
	RIATTIVAZIONE,	
	CASE WHEN m.TIP_CONTRATTO=3 THEN 3 ELSE 2 END AS TIP_CONTRATTO,-- Tutti i report di MOnitoraggio sostituiti con il Monitoraggio Private
	TIP_RIATTIVAZIONE,
	ClienteMIGRATO,	
	RISORSENA,	
	PROFILOATTIVO,
	NumSolleciti,	
	NumRevoche,	
	Data_ultimoSollecito,	
	Data_ultimaRevoca,	
	InvioBenvenuto	
FROM 
    [C6Mart].[vContratti] v
       INNER JOIN [C6Mart].[CONTRATTOSEI_METADATI] m
    ON v.chiaveclientepb = m.chiaveclientepb
-- Modifica del 1/12/2016 - non esiste più il contratto di quel pb. Lasciare la where causa uno scarto nella generazione della appo_contratti
-- modifica del 5/12/2016 - segnalata squadratura con capgemini: quindi sembra un agente fittizio; ripristino
WHERE
	codicecontratto <> '390026CO101' and cod_agente <> '015312' --MRRRRT78S30L219K cliente di prova
-- fine modifica del 5/12/2016
-- Fine Modifica del 1/12/2016    
--aggiornamento 28/11/2022
update C6StagingPeriodico.ContrattiPreTrimestrale
set COD_MANDATO=''
where COD_MANDATO is null
--fine aggiornamento 28/11/2022
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_CONTRATTIPRETRIMESTRALE' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_CONTRATTIPRETRIMESTRALE'
		)